* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    width: 100%;
    /*background-color: black;*/
    position: relative;
    color: white;
    /*margin-top: 10px;*/
    background: linear-gradient(to top, rgba(0, 0, 0, 0.5) 50%, rgba(0, 0, 0, 0.5) 50%), url("../images/projects.jpg");
    background-size: cover;
    background-position: center;
    height: 80vh;
}

.container {
    display: flex;
    align-items: center;

}

.h212 {
    margin: 100px auto 40px;
    font-family: sans-serif;
    font-size: 35px;
}

.row {
    /*width: 85%;*/
    width: 100%;
    margin: auto;


}

.col {
    /*flex-basis: 25%;*/
    overflow: hidden;

}

button a {
    text-decoration: none;
    color: black;
}

.card {
    width: 225px;
    height: 200px;
    margin: auto;
    perspective: 1000px;
    cursor: pointer;
    /*margin-left: 70px;*/
}

.inner_box {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    border-radius: 10px;
    transition: transform 1s;
    transform-style: preserve-3d;
}

.card_front, .card_back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 10px;
}

.card_front {
    background-position: center;
    background-size: cover;
}

.front_01 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url("../images/projectImages/2d game.jpeg");
    background-size: 100% 100%;

}

.front_02 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url("../images/projectImages/hostel.png");

}

.front_03 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("../images/projectImages/HotelMgt.png");
    background-size: 100% 100%;

}

.front_04 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), url("../images/projectImages/backery.png");
    background-size: 100% 100%;

}

.front_05 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), url("../images/projectImages/protfolio img.png");
    background-size: 100% 100%;

}

.card_front span {
    display: inline-block;
    width: 110px;
    padding: 14px 0;
    margin-top: 100px;
    border-radius: 10px;
    background: white;
    color: black;
    transition: transform 1s;

}

.card_back {
    background: linear-gradient(to left, gold, white);
    color: black;
    transform: rotateX(180deg);
}

.card:hover .inner_box {
    transform: rotateX(-180deg);

}

.btn {
    width: 80px;
    height: 40px;
    margin-top: 10px;
    margin-left: -5px;
    background-color: white;
    border-radius: 10px;
    border: 3px solid black;
}

.btn:hover {
    background-color: gold;
    color: black;
}

p {
    display: inline-block;
    color: black;
    padding-bottom: 10px;
    border-bottom: 1px solid black;
    margin-top: 90px;
}

.card:hover span {
    transform: translateY(40px);
}

@media all and (min-width: 768px) and (max-width: 1024px) {

    .container {
        /*display: flex;*/
        /*align-items: center;*/
        display: grid;
        grid-template-rows: 1fr;
        grid-template-columns: repeat(4, 1fr);
        gap: 20px;
    }


}

/*Tablet 425-768*/
@media all and (min-width: 425px) and (max-width: 768px) {

    .container {
        /*display: flex;*/
        /*align-items: center;*/
        display: grid;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: repeat(3, 1fr);


    }

    .h212 {
        margin: 100px auto 50px;
        font-family: sans-serif;
        font-size: 35px;
    }

    .row {
        /*width: 85%;*/
        width: 100%;
        margin: auto;


    }

    .col {
        /*flex-basis: 25%;*/
        overflow: hidden;

    }

    .card {
        width: 225px;
        height: 200px;
        margin: auto;
        perspective: 1000px;
        cursor: pointer;
        margin-top: 50px;
        /*margin-left: 70px;*/
    }

    .inner_box {
        position: relative;
        width: 100%;
        height: 100%;
        text-align: center;
        border-radius: 10px;
        transition: transform 1s;
        transform-style: preserve-3d;
    }

    .card_front, .card_back {
        position: absolute;
        width: 100%;
        height: 100%;
        backface-visibility: hidden;
        border-radius: 10px;
    }

    .card_front {
        background-position: center;
        background-size: cover;
    }

    .front_01 {
        background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url("../images/projectImages/2d game.jpeg");
        background-size: 100% 100%;

    }

    .front_02 {
        background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)), url("../images/projectImages/hostel.png");

    }

    .front_03 {
        background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("../images/projectImages/HotelMgt.png");
        background-size: 100% 100%;

    }

    .front_04 {
        background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), url("../images/projectImages/backery.png");
        background-size: 100% 100%;

    }

    .front_05 {
        background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)), url("../images/projectImages/protfolio img.png");
        background-size: 100% 100%;

    }

    .card_front span {
        display: inline-block;
        width: 110px;
        padding: 14px 0;
        margin-top: 100px;
        border-radius: 10px;
        background: white;
        color: black;
        transition: transform 1s;

    }

    .card_back {
        background: linear-gradient(to left, gold, white);
        color: black;
        transform: rotateX(180deg);
    }

    .card:hover .inner_box {
        transform: rotateX(-180deg);

    }

    .btn {
        width: 80px;
        height: 40px;
        margin-top: 10px;
        margin-left: -5px;
        background-color: white;
        border-radius: 10px;
        border: 3px solid black;
    }

    .btn:hover {
        background-color: gold;
        color: black;
    }

    p {
        display: inline-block;
        color: black;
        padding-bottom: 10px;
        border-bottom: 1px solid black;
        margin-top: 90px;
    }

    .card:hover span {
        transform: translateY(40px);
    }
}

/*mobile large*/
@media all and (min-width: 425px) and (max-width: 491px) {
    .h212 {
        margin-top: 50px;
        margin-bottom: 20px;
    }

    .container {
        display: grid;
        grid-template-rows: 1fr 1fr 1fr 1fr;
        grid-template-columns: repeat(1, 1fr);

    }
}

/*mobile medium*/
@media all and (min-width: 375px) and (max-width: 425px) {
    .h212 {
        margin-top: 50px;
        margin-bottom: 30px;
    }

    .container {
        /*display: flex;*/
        /*align-items: center;*/
        display: grid;
        grid-template-rows: 1fr 1fr 1fr 1fr;
        grid-template-columns: repeat(1, 1fr);
        gap: 15px;

    }
}

/*mobile small*/
@media all and (min-width: 320px) and (max-width: 375px) {
    .h212 {
        margin-top: 50px;
        margin-bottom: 30px;
    }

    .container {

        display: grid;
        grid-template-rows: 1fr 1fr 1fr 1fr;
        grid-template-columns: repeat(1, 1fr);
        gap: 15px;
    }
}